PutDedicatedIpInPool method
Moves a dedicated IP address into the specified pool. The folder is selected based on the service account the request originates from.
The same IP address can belong only to one pool at any given time. To delete an IP address from a custom pool, move it to ses-default-dedicated-pool.
The operation is idempotent: moving an IP address to the exact same pool will succeed.
Request
PUT /v2/email/dedicated-ips/{IP}/pool HTTP/2
Path parameters
|
Parameter |
Description |
|
|
Type: String. The dedicated IP address you want to move. |
Request headers
Use common request headers in your requests.
Request body
{
"DestinationPoolName": "<destination_pool_name>"
}
|
Parameter |
Description |
|
|
Type: String. Name of the pool to move the IP address to. |
Responses
200 OK
A successful request returns 200 OK in the response.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters. |
|
|
IP address was not found or does not belong to your cloud, or the destination pool does not exist. |
|
|
The request quota was exceeded. |
The system searches for the IP address first, then the pool. If both the IP address and the pool name are invalid, you will get an IP address error.